abstract class OperationState {}

class OperationIdle extends OperationState {}

class OperationLoading extends OperationState {}

class OperationFailed extends OperationState {
  String message;

  OperationFailed({required this.message});
}

class OperationFinished extends OperationState {
  String? message;

  OperationFinished({this.message});
}